Merge "Update cloud image Ubuntu18.04 mininet ovs"
[releng/builder.git] / jjb / opendaylight-infra-update-image-list.sh
index 871bdd5aa58db2ae327515e2dadc68bd736f3df7..c7229278578f38739e5a39e3e6723a7323de9fbd 100644 (file)
@@ -1,20 +1,34 @@
-#!/bin/bash
-virtualenv "$WORKSPACE/.venv"
+#!/bin/bash -l
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+
+set -e -o pipefail
+
 # shellcheck disable=SC1090
-source "$WORKSPACE/.venv/bin/activate"
-pip install --upgrade --quiet pip
-pip install --upgrade --quiet python-openstackclient python-heatclient
-pip freeze
+. ~/lf-env.sh
+
+lf-activate-venv --python python3 python-openstackclient
 
 cat > "$WORKSPACE/docs/cloud-images.rst" << EOF
-Following are the list of published images available to be used with Jenkins jobs.
+Following are the list of published images available to Jenkins jobs.
 
 EOF
 # Blank line before EOF is on purpose to ensure there is spacing.
 
 IFS=$'\n'
-IMAGES=($(openstack image list --public -f value -c Name))
+# We purposely want globbing here to build images list
+# shellcheck disable=SC2207
+IMAGES=($(openstack image list --long -f value -c Name -c Protected \
+    | grep 'ZZCI.*True' | sed 's/ True//'))
 for i in "${IMAGES[@]}"; do
+    echo "Adding image $i"
     echo "* $i" >> "$WORKSPACE/docs/cloud-images.rst"
 done